From 13fb246e2a66406437e77bc02b94397bb72b856a Mon Sep 17 00:00:00 2001
From: Peter Seiderer <ps.report@gmx.net>
Date: Tue, 13 Oct 2015 21:17:30 +0200
Subject: [PATCH v1] gst1-plugins-bad: update configure options

- add new onvif option
- add new dtls option
- add new openh264 option
- add new x265 option
- rename real option to rtp
- remove legacy options: directdraw, osx_video, quicktime
  and mythtv
- add '--disable-bs2b' and '--disable-libde265' to options
  which require currently unpackaged libraries

Signed-off-by: Peter Seiderer <ps.report@gmx.net>
---
ToDo: handle new '--disable-gtk3' and '--disable-qt' options
---
 package/gstreamer1/gst1-plugins-bad/Config.in      | 24 ++++++++++++--
 .../gst1-plugins-bad/gst1-plugins-bad.mk           | 37 ++++++++++++++++------
 2 files changed, 48 insertions(+), 13 deletions(-)

diff --git a/package/gstreamer1/gst1-plugins-bad/Config.in b/package/gstreamer1/gst1-plugins-bad/Config.in
index a778843..a28243b 100644
--- a/package/gstreamer1/gst1-plugins-bad/Config.in
+++ b/package/gstreamer1/gst1-plugins-bad/Config.in
@@ -219,6 +219,12 @@ config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_DEBUGUTILS
 	help
 	  Collection of elements that may or may not be useful for debugging
 
+config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_DTLS
+	bool "dtls"
+	select BR2_PACKAGE_OPENSSL
+	help
+	  DTLS plugin
+
 config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_DVBSUBOVERLAY
 	bool "dvdsuboverlay"
 	help
@@ -347,6 +353,9 @@ config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_MXF
 config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_NUVDEMUX
 	bool "nuvdemux"
 
+config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_ONVIF
+	bool "onvif"
+
 config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_PATCHDETECT
 	bool "patchdetect"
 
@@ -365,14 +374,14 @@ config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_RAWPARSE
 	help
 	  Parses byte streams into raw frames
 
-config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_REAL
-	bool "real"
-
 config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_REMOVESILENCE
 	bool "removesilence"
 	help
 	  Removes silence from an audio stream
 
+config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_RTP
+	bool "rtp"
+
 config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_SDI
 	bool "sdi"
 
@@ -574,6 +583,10 @@ config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_OPENCV
 comment "opencv plugin needs OpenCV-2.4"
 	depends on !BR2_PACKAGE_OPENCV
 
+config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_OPENH264
+	bool "openh264"
+	select BR2_PACKAGE_LIBOPENH264
+
 config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_OPUS
 	bool "opus"
 	select BR2_PACKAGE_OPUS
@@ -620,4 +633,9 @@ config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_HLS
 	help
 	  Fragmented streaming plugins
 
+config BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_X265
+	bool "x265"
+	help
+	  x265 plugin
+
 endif
diff --git a/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk b/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk
index 2fbd49b..d73e766 100644
--- a/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk
+++ b/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk
@@ -22,12 +22,10 @@ GST1_PLUGINS_BAD_CONF_OPTS = \
 	--disable-directsound \
 	--disable-wsapi \
 	--disable-direct3d \
-	--disable-directdraw \
 	--disable-direct3d9 \
 	--disable-winks \
 	--disable-android_media \
 	--disable-apple_media \
-	--disable-osx_video \
 	--disable-sdltest \
 	--disable-wininet \
 	--disable-acm
@@ -35,10 +33,10 @@ GST1_PLUGINS_BAD_CONF_OPTS = \
 # Options which require currently unpackaged libraries
 GST1_PLUGINS_BAD_CONF_OPTS += \
 	--disable-avc \
-	--disable-quicktime \
 	--disable-opensles \
 	--disable-uvch264 \
 	--disable-voamrwbenc \
+	--disable-bs2b \
 	--disable-chromaprint \
 	--disable-dash \
 	--disable-dc1394 \
@@ -51,12 +49,12 @@ GST1_PLUGINS_BAD_CONF_OPTS += \
 	--disable-kate \
 	--disable-ladspa \
 	--disable-lv2 \
+	--disable-libde265 \
 	--disable-strp \
 	--disable-linsys \
 	--disable-modplug \
 	--disable-mimic \
 	--disable-mplex \
-	--disable-mythtv \
 	--disable-nas \
 	--disable-ofa \
 	--disable-openal \
@@ -261,6 +259,13 @@ else
 GST1_PLUGINS_BAD_CONF_OPTS += --disable-debugutils
 endif
 
+ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_DTLS),y)
+GST1_PLUGINS_BAD_CONF_OPTS += --enable-dtls
+GST1_PLUGINS_BAD_DEPENDENCIES += openssl
+else
+GST1_PLUGINS_BAD_CONF_OPTS += --disable-dtls
+endif
+
 ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_DVBSUBOVERLAY),y)
 GST1_PLUGINS_BAD_CONF_OPTS += --enable-dvbsuboverlay
 else
@@ -431,6 +436,12 @@ else
 GST1_PLUGINS_BAD_CONF_OPTS += --disable-nuvdemux
 endif
 
+ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_ONVIF),y)
+GST1_PLUGINS_BAD_CONF_OPTS += --enable-onvif
+else
+GST1_PLUGINS_BAD_CONF_OPTS += --disable-onvif
+endif
+
 ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_PATCHDETECT),y)
 GST1_PLUGINS_BAD_CONF_OPTS += --enable-patchdetect
 else
@@ -455,18 +466,18 @@ else
 GST1_PLUGINS_BAD_CONF_OPTS += --disable-rawparse
 endif
 
-ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_REAL),y)
-GST1_PLUGINS_BAD_CONF_OPTS += --enable-real
-else
-GST1_PLUGINS_BAD_CONF_OPTS += --disable-real
-endif
-
 ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_REMOVESILENCE),y)
 GST1_PLUGINS_BAD_CONF_OPTS += --enable-removesilence
 else
 GST1_PLUGINS_BAD_CONF_OPTS += --disable-removesilence
 endif
 
+ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_RTP),y)
+GST1_PLUGINS_BAD_CONF_OPTS += --enable-rtp
+else
+GST1_PLUGINS_BAD_CONF_OPTS += --disable-rtp
+endif
+
 ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_SDI),y)
 GST1_PLUGINS_BAD_CONF_OPTS += --enable-sdi
 else
@@ -745,6 +756,12 @@ else
 GST1_PLUGINS_BAD_CONF_OPTS += --disable-hls
 endif
 
+ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BAD_PLUGIN_X265),y)
+GST1_PLUGINS_BAD_CONF_OPTS += --enable-x265
+else
+GST1_PLUGINS_BAD_CONF_OPTS += --disable-x265
+endif
+
 # Add GPL license if GPL licensed plugins enabled.
 ifeq ($(GST1_PLUGINS_BAD_HAS_GPL_LICENSE),y)
 GST1_PLUGINS_BAD_LICENSE += GPL
-- 
2.1.4